Subject: Re: bug#9402: list-colors-display

From: Jan Djärv <[email-masked]>
Date: Wed, 31 Aug 2011 21:09:40 +0200

Juri Linkov skrev 2011-08-31 11:35:
>> Done in revision 105619 on the trunk.
>
> Thank you.  I confirm that it's fixed now.
>
> As for platform-specific colors, what I meant is implementing exactly
> the same handling of colors as currently is already implemented in Emacs
> on Windows where `M-x list-colors-display' lists platform-specific colors
> at the end of the color list: `SystemBackground', `SystemWindow',
> `SystemWindowText' and all other system colors, and the user can select
> system colors in `customize-face' via completion or the "Choose" button
> that includes all platform-specific colors.
>
> Another question is why the face definition of `region' has
> platform-specific colors for GTK and NS, but not for Windows.
> In Emacs on Windows two system colors are available exactly
> for that purpose.  Their names are `SystemHilight' (background)
> and `SystemHilightText' (foreground).
>

As there is no mention of SystemHilight in the Emacs sources (well, except for 
one comment), I assume that W32 itself understands these colors.  There is no 
equivalent on NS/Gtk+, hence it was invented.

It is a trivial matter to change the names so they are the same on the various 
platforms.

	Jan D.